
  // Scroll to an element
  function scrollToElement(elementId, margin, upOnly) {

        // Defaults
        if (margin === undefined) {
          margin = 30;
        }
        if (upOnly === undefined) {
          upOnly = 0;
        }

        // Target position and current position
        var targetOffset = $(elementId).offset().top - (margin);
        var currentOffset = $(window).scrollTop();

        if (upOnly == 1) {
          // Check if target position is higher, we don't scroll down
          if (targetOffset < currentOffset) {
            // Animate the body to the position
            $('html, body').animate({
              scrollTop: targetOffset
            }, 400);
           }
        } else {
          $('html, body').animate({
             scrollTop: targetOffset
          }, 400);
        }

  }

  // Universal scrolling
  $(document).on('click','.js-scroll-anchor', {} ,function(e){
    e.preventDefault();
    scrollToElement($(this).attr("href"), 79);
  });

  $('[data-fancybox="gallery"]').fancybox({
    buttons: [
      // "zoom",
      //"share",
      //"slideShow",
      //"fullScreen",
      //"download",
      // "thumbs",
      "close"
    ],
  });
